Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005781TestLinkRequirement Managementpublic2013-06-17 09:532013-09-08 17:55
Reporterpatrick_g 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64 OSLinux (Ubuntu)OS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005781: "delete this version" in requirement pop-up from "Requirement Overview" breaks requirement overview; Database Access Error
DescriptionPressing button "delete this version" in requirement pop-up from "Requirement Overview" breaks requirement overview;

DB Access Error:
"Fatal error: Call to a member function RecordCount() on a non-object in /var/www/testlink/lib/functions/database.class.php on line 510"
Steps To Reproduce1- create testprojekt
2- create/import requirements
3- create testcases
4- link test cases to requirements
5- open Requirement Overview on main page
6- press the "edit"-icon on the left side of the table for some requirments -> pop-up window with requirments details appears
7- press button "delete this version" in requirement pop-up
8- try to open Requirement Overview on main page: Database acces error
"Fatal error: Call to a member function RecordCount() on a non-object in /var/www/testlink/lib/functions/database.class.php on line 510"
Additional InformationWe are afraid that something else got broken as well or that this issue makes our TestLink DB inconsisent in a way that other stuff will be affected.

It happend in a productive projekt and we were able to reproduce this issue in some playground projekt.

Our TestLink got updated from 1.9.3 -> 1.9.4 -> 1.9.6 including required DB schema updates and was working well so far.

Requirments for the affected project are still visible in "Requirements Specification Design"-feature.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 21.0
PHP Version5.3.10-1ubuntu3.4
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019152)
patrick_g (reporter)
2013-06-17 10:30

>>>Complete DB access error message from browser:
----------------------------------------------


 ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ==============================================================================

#0 database->exec_query() called at [/var/www/testlink/lib/functions/tree.class.php:468]
#1 tree->_get_path() called at [/var/www/testlink/lib/functions/tree.class.php:400]
0000002 tree->get_path() called at [/var/www/testlink/lib/requirements/reqOverview.php:111]

 ==============================================================================

Fatal error: Call to a member function RecordCount() on a non-object in /var/www/testlink/lib/functions/database.class.php on line 510


>>>>Error message in TestLink Events overview:
----------------------------------------------

Log level ERROR
Timestamp 06/17/2013 12:25:24
Source DATABASE
Description ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - /* Class:tree - Method: _get_path */ SELECT id,name,parent_id,node_type_id,node_order FROM nodes_hierarchy WHERE id =
THE MESSAGE : /* Class:tree - Method: _get_path */ SELECT id,name,parent_id,node_type_id,node_order FROM nodes_hierarchy WHERE id = Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
(0019153)
fman (administrator)
2013-06-17 17:12

first thing to do:
fresh install 1.9.7 with latest hot fixes and repeat tests.
If everything is OK => unfortunately there is some issue with your data
(0019166)
patrick_g (reporter)
2013-06-19 09:30

We were able to resolve the problem in our 1.9.6 database by moving the half-deleted requirmennt into a new req. specification (folder) using the TL GUI and then delete the folder. It worked even TL showed DB access error when deleting this folder.
So far we didn't observe any negative side effects.

I'll check TL 1.9.7 later.
(0019173)
patrick_g (reporter)
2013-06-21 08:58

I was able to reproduce the issue with TL197 by using a cloned DB backup from our productive DB before the issue happend on it.
+ could also reproduce it on a fresh TL 197 with a virgin DB.

Error message changed a little bit in the last sentence for the line of php code:

Fatal error: Call to a member function RecordCount() on a non-object in C:\xampp\htdocs\testlink\197fresh\lib\functions\database.class.php on line 517
(0019182)
fman (administrator)
2013-06-21 20:40

http://gitorious.org/testlink-ga/testlink-code/commit/eba91ff37324d8e192aa0a70697c7c202ee3fbe1 [^]
(0019550)
fman (administrator)
2013-09-08 17:55

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-06-17 09:53 patrick_g New Issue
2013-06-17 10:30 patrick_g Note Added: 0019152
2013-06-17 17:12 fman Note Added: 0019153
2013-06-19 09:30 patrick_g Note Added: 0019166
2013-06-21 08:58 patrick_g Note Added: 0019173
2013-06-21 18:31 fman Note Added: 0019176
2013-06-21 18:32 fman Note Edited: 0019176 View Revisions
2013-06-21 20:40 fman Note Added: 0019182
2013-06-21 20:40 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-06-21 20:40 fman Status new => resolved
2013-06-21 20:40 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-06-21 20:40 fman Resolution open => fixed
2013-06-21 20:40 fman Assigned To => fman
2013-06-21 20:40 fman Relationship added child of 0005731
2013-06-21 20:43 fman OS Version I forgot it. =>
2013-06-21 20:44 fman Note Deleted: 0019176
2013-09-08 17:55 fman Note Added: 0019550
2013-09-08 17:55 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker